@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@200;300;400;500;600;700&family=Outfit:wght@200;300;400&display=swap');

:root {
    --color-default: #212529;
    --color-primary: rgb(70, 218, 70);
    --color-secondary: rgb(59, 30, 5);
    --color-title: rgb(1,97,175);
    --color-light: rgb(255, 136, 0);
  } 

* {
    margin: 0px;
    padding: 0px;
}



.container-pro {
    height: 100%;
    padding: 20px;
    top: 150px;
    margin-bottom: 50px;
}


.card-product {
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    position: relative;
}




#shopping i {
    font-size: 20px;
}

#shopping sup {
    margin-left: 4px;
}

.image-product h2 {
margin-bottom: 25px;
font-family: 'Josefin Sans', sans-serif;
}

.infos h1 {
    display: none;
}
.imgs {
    cursor: pointer;
}

.infos .price {
    display: flex;
    justify-content: start;
}
.infos .price h3:last-child  {
    margin-left: 20px; 
}


.infos #more-infos {
    display: flex;
    justify-content: space-between;
    color: gray;
}

#more-infos h5 {
    padding: 8px;
    
}
#more-infos h5:nth-child(1) {
    color:black ; 
    border-bottom: 2px solid black ; 
    padding-bottom: 6px;
}

.infos {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 400px;
    margin-top: 30px;
    width: 90%;
}

.reviews {
    color: gold;
}

h3:nth-child(2) {
    color: gray;
    text-decoration: line-through; 
}

.choose {
    cursor: pointer;
    font-family: 'Josefin Sans', sans-serif;
}

.quantity {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}

.quantity input {
    text-align: center;
    width: 40px;
}


#description {
    font-size: 15px;
    height: 150px;
    font-family: 'Outfit', sans-serif;
}

 .cnt-2 {
    text-transform: uppercase;
    letter-spacing: 0.1em;
    padding: 10px 30px;
    transition: 0.5s;
    position: relative;
    font-size: 17px;
    background: transparent;
    border: none;
    color: #000;
    font-family: 'Josefin Sans', sans-serif;
    border: 2px solid var(--color-primary);
    cursor: pointer;
  }
  
   .cnt-2:hover {
    letter-spacing: 0.25em;
    background: var(--color-primary);
    color: #000;
    box-shadow: 0 0 45px var(--color-primary);
  }
  
   .cnt-2::before {
    content: '';
    position: absolute;
    inset: 2px;
    background: transparent;
  }
  
   .cnt-2 span {
    position: relative;
    z-index: 1;
  }
  
   .cnt-2 i {
    position: absolute;
    inset: 0;
    display: block;
  }
  
   .cnt-2 i::before {
    content: '';
    position: absolute;
    border: 2px solid var(--color-primary);
    width: 7px;
    height: 4px;
    top: -3.5px;
    left: 80%;
    background: #222222;
    transform: translateX(-50%);
    transition: 0.5s;
  }
  
   .cnt-2:hover i::before {
    width: 20px;
    left: 20%;
  }
  
   .cnt-2 i::after {
    content: '';
    position: absolute;
    border: 2px solid var(--color-primary);
    width: 7px;
    height: 4px;
    bottom: -3.5px;
    left: 20%;
    background: #222222;
    transform: translateX(-50%);
    transition: 0.5s;
  }
  
   .cnt-2:hover i::after {
    width: 20px;
    left: 80%;
  }




.pro-image {
    height: 80%;
    display: flex;
    align-items: center;

}

.pro-image img {
    width: 90%;
    margin: auto;
}



@media ( min-width : 1285px) {

 

    .container-pro {
        background-color: var(--color-primary);
        width: 75%;
        height: 80%;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 20px;
    }

    .card-product {
        flex-direction: row;
        height: 85%;
        width: 80%;
        border-radius: 15px;
    }

    .image-product {
        width: 50%;
        height: 100%;
        
    }

    .image-product h2 {
      display: none;
    }

    .infos {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        margin-top: 0px;
        height: 80%;
        width: 50%;
       font-size: 20px;
        padding-right: 70px;
        
    }

    .infos h1 {
        display: block;
        font-family: 'Josefin Sans', sans-serif;
    }

    .cnt-2s {
        flex-direction: row;
        font-size: 15px;
    }
    .cnt-2s  .cnt-2 {
        padding: 8px;
    }

    .img-pro-image {
        width: 50%;
    }

    #shopping {
        position: absolute;
        top: 20px;
        right: 20px;
    }
    #shopping i {
        font-size: 30px;
    }

    
}


@media (min-width : 670px) {

    .container-pro {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .cnt-2s {
        flex-direction: row;
        font-size: 15px;
    }

    .card-product {
        width: 75%;
        height: 100%;
    }

        #shopping i {
        font-size: 30px;
    }

}